commit 5aade9a6b3dae710bbe8ddd5e867efcd4e8c5f79
Author: Milan Vacek <vacekm@students.zcu.cz>
Date:   Sat May 22 20:53:50 2021 +0200

    Bug #8964 Upravit text

diff --git a/application/view/contents/contactsContent.html b/application/view/contents/contactsContent.html
index 50adac8..d2d27bc 100644
--- a/application/view/contents/contactsContent.html
+++ b/application/view/contents/contactsContent.html
@@ -32,7 +32,10 @@
             </table>
         </div>
         <div class="col-xs-12 col-sm-6 m-auto">
-            <h3 class="d-flex justify-content-center">Zadavatelé projektu</h3>
+            <h3 class="d-flex justify-content-center">Západočeské univerzity v Plzni <br/>
+                                                      Fakulta pedagogická<br/>
+                                                      Katedra českého jazyka a literatury<br/>
+            </h3>
             <table class="d-flex justify-content-center">
                 <tr>
                     <th class="text-center px-4 py-2">jméno</th>
diff --git a/application/view/contents/indexContent.html b/application/view/contents/indexContent.html
index 71121c5..67e1a85 100644
--- a/application/view/contents/indexContent.html
+++ b/application/view/contents/indexContent.html
@@ -4,4 +4,8 @@
     Řešitelský tým studentů Fakulty aplikovaných věd ve složení Bc. Ondřej Drtina, Bc. Ondřej Anděl, Bc. Tomáš Pašek a Bc. Milan Vacek tyto pracovní databáze sloučil a vytvořil internetovou aplikaci, která data zpřístupňuje všem uživatelům na webu.
     <br /><br />
     Projekty byly podpořeny vnitřní grantovou soutěží Západočeské univerzity v Plzni.
+    <br /><br /><br />
+    V případě použití dat z této stránky lze použít citace :
+    <br />
+    Staročeská kronika tak řečeného Dalimila. Databáze slov a tvarů [online]. Fakulta pedagogická ZČU, katedra českého jazyka a literatury. Verze dat 1.9.21 [cit. 20. 6. 2020]. Dostupné z:  ???
 </div>
\ No newline at end of file
diff --git a/application/view/contents/manualContent.html b/application/view/contents/manualContent.html
index 0aa77d3..b03f982 100644
--- a/application/view/contents/manualContent.html
+++ b/application/view/contents/manualContent.html
@@ -8,65 +8,67 @@
 <div class="col-xs-12 col-sm-10 m-auto">
     <h1>Zkratky</h1>
     <h2>Morfologické zkratky</h2>
-    <p>Morfologické zkratky se skládají z 12 znaků. Pokud je znak pomlčka, znamená to, že není slovo danou morfologickou kategorii nemá, nebo nebyla zadána. Význam ostatních znaků je k náhlednutí níže.
+    <p>Morfologická charakteristika je tvořena dvanácti znaky. Pomlčka znamená, že tvar danou morfologickou kategorii nevyjadřuje. Význam ostatních znaků viz dále.</p>
     <h3>Slovní druh</h3>
-    <p>První znak v této zkratce uznačuje slovní druh daného slova a může nabývat následujících hodnot.</p>
+    <p>Znak na první pozici označuje slovní druh vyhledávaného tvaru:</p>
     <ul>
-        <li>N : substantivum </li>
-        <li>A : adjektivum </li>
-        <li>P : pronomen </li>
-        <li>C : numeralie </li>
-        <li>V : verbum </li>
-        <li>D : adverbium </li>
-        <li>R : prepozice </li>
-        <li>J : konjunkce </li>
-        <li>I : interjekce </li>
-        <li>T : partikule </li>
+        <li>N - substantivum </li>
+        <li>A - adjektivum </li>
+        <li>P - pronomen </li>
+        <li>C - numeralie </li>
+        <li>V - verbum </li>
+        <li>D - adverbium </li>
+        <li>R - prepozice </li>
+        <li>J - konjunkce </li>
+        <li>T - partikule </li>
+        <li>I - interjekce </li>
     </ul>
 
     <h3>Pád</h3>
-    <p>Následující po slovní druhu je číslo v rozsahu 1 - 7, označující pád.</p>
+    <p>Znak na druhé pozici je tvořen číslem 1–7 označujícím pád:</p>
     <ul>
-        <li>1 : nominativ </li>
-        <li>2 : genitiv </li>
-        <li>3 : dativ </li>
-        <li>4 : akuzativ </li>
-        <li>5 : vokativ </li>
-        <li>6 : lokál </li>
-        <li>7 : instrumentál </li>
+        <li>1 - nominativ </li>
+        <li>2 - genitiv </li>
+        <li>3 - dativ </li>
+        <li>4 - akuzativ </li>
+        <li>5 - vokativ </li>
+        <li>6 - lokál </li>
+        <li>7 - instrumentál </li>
     </ul>
     <h3>Číslo</h3>
-    <p>Třetí znak zkratky označuje číslo daného slova a může nabývat jedné z následujících hodnot.</p>
+    <p>Znak na třetí pozici označuje kategorii čísla:</p>
     <ul>
-        <li>S : singulár </li>
-        <li>P : plurál </li>
-        <li>D: duál </li>
+        <li>S - singulár </li>
+        <li>P - plurál </li>
+        <li>D - duál </li>
     </ul>
 
     <h3>Rod</h3>
-    <p>Za znakem označující číslo se nachází znak označující rod. Tento znak může existovat v jedné z následujících podob.</p>
+    <p>Znak na čtvrté pozici označuje kategorii jmenného rodu:</p>
     <ul>
-        <li>M : maskulinum, </li>
-        <li>F : femininum </li>
-        <li>N : neutrum </li>
+        <li>M - maskulinum, </li>
+        <li>F - femininum </li>
+        <li>N - neutrum </li>
     </ul>
 
     <h3>Stupeň</h3>
-    <p>Znak na pátém místě informuje o stupni daného slova.</p>
+    <p>Znak na páté pozici označuje stupeň tvaru adjektiva nebo adverbia:</p>
     <ul>
-        <li>1 : 1. stupeň </li>
-        <li>2 : 2. stupeň  </li>
-        <li>3 : 3. stupeň </li>
+        <li>1 - pozitiv </li>
+        <li>2 - komparativ  </li>
+        <li>3 – superlativ </li>
     </ul>
 
-    <h3>Tvar</h3>
-    <p>Následující znak určuje zda slovo má tvar a v případě, že ano, tak mu přiřazuje jeden ze seznamu níže. </p>
+    <h3>Tvar deklinace</h3>
+    <p>Znak na šesté pozici udává deklinační typ adjektiv:</p>
     <ul>
-        <li>C : tvar složený </li>
-        <li>N : tvar jmenný </li>
+        <li>C - tvar deklinace složené </li>
+        <li>N - tvar deklinace jmenné </li>
     </ul>
+    <h3>Tvar substantivizovaného adjektiva</h3>
+    <p>Znak S na sedmé pozici označuje tvar substantivizovaného adjektiva</p>
     <h3>Proměnný parametr</h3>
-    <p>Po přeskočeném sedmém parametru, viz poznámka níže, se nachází 8 parametr. Tento parametr mění svůj význam na základě slov´ho druhu.</p>
+    <p>Osmá pozice je obsazena proměnným parametrem. Ve vztahu ke slovnímu druhu mají znaky na této pozici mají různý význam:</p>
 
     <h4>Substantivum </h4>
     <p>Parametr se neudává </p>
@@ -75,30 +77,30 @@
     <p>Parametr se neudává </p>
 
     <h4>Pronomen</h4>
+    <p>Znak udává sémantickou klasifikaci zájmena:</p>
     <ul>
-        <li>P : osobní </li>
-        <li>S : přivlastňovací </li>
-        <li>D : ukazovací </li>
-        <li>Q : tázací </li>
-        <li>J : vztažná </li>
-        <li>Z : neurčitá </li>
-        <li>L : vymezovací </li>
-        <li>W : záporná </li>
+        <li>P - personale, zájmeno osobní </li>
+        <li>S - posesivum, zájmeno přivlastňovací </li>
+        <li>D - demonstrativum, zájmeno ukazovací </li>
+        <li>Q - interogativum, zájmeno tázací </li>
+        <li>J - relativum, zájmeno vztažné </li>
+        <li>Z - indefinitum, zájmeno neurčité </li>
     </ul>
 
     <h4>Numeralie</h4>
     <p>Parametr se neudává </p>
     <h4>Verbum</h4>
+    <p>Znak udává základní rozlišení slovesných tvarů určitých a neurčitých:</p>
     <ul>
-        <li>F : infinitiv </li>
-        <li>D : oznamovací způsob </li>
-        <li>I : rozkazovací způsob </li>
-        <li>C : podmiňovací způsob </li>
-        <li>S : supinum </li>
-        <li>E : přechodník přítomný </li>
-        <li>M : přechodník minulý </li>
-        <li>A : participium perfekta aktiva </li>
-        <li>P : participium perfekta pasiva </li>
+        <li>F - infinitiv </li>
+        <li>D - indikativ </li>
+        <li>I - imperativ </li>
+        <li>C - kondicionál </li>
+        <li>S - supinum </li>
+        <li>E - přechodník přítomný </li>
+        <li>M - přechodník minulý </li>
+        <li>A - participium perfekta aktiva </li>
+        <li>P - participium perfekta pasiva </li>
     </ul>
 
     <h4>Adverbium</h4>
@@ -107,10 +109,10 @@
     <p>Parametr se neudává </p>
     <h4>Konjunkce</h4>
     <ul>
-        <li>V : větná </li>
-        <li>C : členská </li>
-        <li>N : navazovací </li>
-        <li>P : spojení s přechodníkem </li>
+        <li>V - větná </li>
+        <li>C - členská </li>
+        <li>N - navazovací </li>
+        <li>P - spojení s přechodníkem </li>
     </ul>
 
     <h4>Interjekce</h4>
@@ -119,43 +121,42 @@
     <h4>Partikule</h4>
     <p>Parametr se neudává </p>
 
+    <p>Znaky na pozicích 9–12 jsou vyhrazeny slovesným morfologickým kategoriím.</p>
     <h3>Osoba</h3>
-    <p>Následující série parametrů má nadále význam pouze u sloves, první z této série na pozici 9 určuje osobu.</p>
+    <p>Číselný znak na deváté pozici označuje kategorii slovesné osoby:</p>
 
     <ul>
-        <li>1 : 1. osoba </li>
-        <li>2 : 2. osoba  </li>
-        <li>3 : 3. osoba </li>
+        <li>1 - 1. osoba </li>
+        <li>2 - 2. osoba  </li>
+        <li>3 - 3. osoba </li>
     </ul>
 
     <h3>Čas</h3>
-    <p>Další, v pořadí desátý parametr, určuje čas daného slovesa.</p>
+    <p>Znak na desáté pozici označuje kategorii a tvar slovesného času:</p>
     <ul>
-        <li>P : přítomný čas </li>
-        <li>A : aorist  </li>
-        <li>R : préteritum </li>
-        <li>I : imperfektum </li>
-        <li>H : předminulý čas  </li>
-        <li>F : budoucí čas </li>
+        <li>P - prézens </li>
+        <li>A - aorist  </li>
+        <li>R - préteritum </li>
+        <li>I - imperfektum </li>
+        <li>H - plusquamperfektum  </li>
+        <li>F - futurum </li>
     </ul>
 
     <h3>Slovesný Rod</h3>
-    <p>Předposlední parametr určuje slovesný rod a může nabývat následujících hodnot.</p>
+    <p>Znak na jedenácté pozici označuje slovesný rod:</p>
     <ul>
-        <li>P : pasivum </li>
-        <li>A : aktivum  </li>
+        <li>P - pasivum </li>
+        <li>A - aktivum  </li>
     </ul>
 
     <h3>Slovesný Vid</h3>
-    <p>Poslední parametr, jež je zobrazen odpovídá slovesnému vidu a může nabývat nasledující hodnoty.</p>
+    <p>Znak na dvanácté pozici označuje kategorii slovesného vidu:</p>
     <ul>
-        <li>P : dokonavé sloveso </li>
-        <li>I : nedokonavé sloveso  </li>
+        <li>P - dokonavé sloveso </li>
+        <li>I - nedokonavé sloveso  </li>
     </ul>
-    <p>Poznámka : 7. znak nemá žádnou informační hodnotu a je zachován je z důvodu kompatibility. </p>
 
-    <h2>Zkratky rukopisů</h2>
-    <p>V následující části je k náhlednutí seznam všech rukopisů a zkratky, které je reprezentují.</p>
+    <h2>Zkratky textových pramenů</h2>
     <ul>
         <li>V : rukopis Vídeňský</li>
         <li>H : zlomky Hanušovy</li>
@@ -179,26 +180,26 @@
 
     <img class="my-3" src="view/img/filter.gif" alt="Manual vyhledávání" width="100%">
 
-    <h2>Základní možnosti</h2>
-    <p>Vyhledávání je možné dle libovolných z níže uvedených parametrů. Je možné vybrat jeden nebo více parametrů a vyhledávání zobrazí poze výsledky, jež splňují všechny podmínky. Při vybrání specifických parametrů se zobrazí rozšiřující možnosti pro bližší upřesnění požadavků. U parametrů, které zobrazí tyto rozšiřující možnosti, bude tato skutečnost zdůrazněna níže v této kapitole.</p>
+    <h2>Základní možnosti vyhledávání</h2>
+    <p>Vyhledávání je možné podle parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se rozšiřující nabídka volby.</p>
 
     <h3>Lemma</h3>
-    <p>Toto vyhledávací políčko umožní vyhledávání podle sloupce lemma. Je možné zadat samotné počáteční písmeno, počáteční část slova nebo slovo celé. V případě, že výrazem, který bude zadán, je očekáván právě jeden znak, je možné použít operátor <b>_</b>. Pokud má hledaný výzar předcházet libovolný počet znaků, je možné použít operátor <b>%</b>.</p>
+    <p>Toto vyhledávací políčko umožňuje vyhledávání podle lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, kdy zadaný výraz nemá být na začátku slova, lze na jeho začátek připsat operátor <b>%</b>. Pokud zadaný výraz nemá být na začátku slova a zároveň je třeba počet znaků omezit, tak lze použít operátor <b>_</b>. Každé použití tohoto operátoru reprezentuje jedno libovolné písmeno. </p>
 
     <h3>Slovní tvar</h3>
-    <p>Jedná se opět o otevřené políčko pro zadávání, ovšem s velkým rozdílem oproti vyhledávání lemmy. Toto políčko hledá ve sloupci Slovní tvar pouze přesné shody.</p>
+    <p>Jedná se opět o otevřené políčko pro vyhledávání – vyhledává se podle přesně zadaného tvaru slova.</p>
 
     <h3>Rukopisný pramen</h3>
-    <p>Toto kritérium je zadané pomocí rozbalovacího seznamu. V tomto seznamu jsou vyzobrazeny všechny prameny, jež databáze obsahuje. Je možné vybrat libovolné množství pramenů současně, přičemž při nevyplnění tohoto políčka systém automaticky bere v potaz všechny prameny. Po výběru pramenů systém najde všechny záznamy, které se nachází aspoň v jednom z vybraných pramenů. </p>
+    <p>Vyhledávání dokladů podle rukopisného pramene funguje na základě rozbalovacího seznamu. Jsou v něm uvedeny všechny zpracované prameny. Pro vyhledávání lze zvolit libovolný počet pramenů současně. Systém najde všechny doklady, které se nachází alespoň v jednom z vybraných pramenů. Nebude-li toto políčko vyplněno, systém automaticky vybere doklady ze všech pramenů.</p>
 
     <h3>Pozice</h3>
-    <p> Toto číselné kritérium určuje pozici záznamu v dokumentu a lze zadat následujícími třemi způsoby. První způsob je zadat pouze číselnou hodnotu. V tomto případě se systém pokusí najít všechny záznamy, jejichž číselná hodnota před lomítkem je stejná. V opačném případě je možné zadat číselnou hodnotu předcházenou znakem <b>/</b>. Výsledek této operace bude vypsání všech záznamů, jež  mají zadanou hodnotu na druhé pozici, za lomítkem. Poslední způsob je zadání celé pozice, v jehož případě systém vyhledá pouze danou pozici. Tímto způsobem lze také zadat element na třetí pozici.</p>
+    <p>Toto číselné kritérium uvádí pozici dokladu v textových pramenech kroniky (tzv. lokaci dle edice). Lze zadat číslo kapitoly, tj. číselnou hodnotu před lomítkem (nejméně dvoumístnou, např. 00). V tomto případě systém vyhledá všechny záznamy podle čísla kapitoly. Rovněž lze zadat pouze číselnou hodnotu za lomítkem – systém pak vyhledá všechny záznamy podle čísla verše. Třetím možným způsobem je zadání úplné pozice (lokace), tj. hodnoty před lomítkem i za ním (číslo kapitoly i číslo verše, např. 01/05).</p>
 
     <h3>Doplňující údaj</h3>
-    <p>Toto kritérium porovná zadaný text s obsahem sloupce Poznámka 2. Pokud je zadán pouze text nebo část textu, systém zaháji hledání této části od začátku slova ve sloupci. Pokud je požadováno, aby text předcházel právě jeden znak lze použít operátor <b>_</b>. V opačném případě kdy vyžadováno, aby text předcházelo nula až neomezeně znaků, lze použít operátor <b>%</b>.</p>
+    <p>Jako doplňující údaj lze vyhledat odkaz na variantní formu lemmatu, a to jak na variantu formy, tak na variantu slovnědruhové charakteristiky, a u sloves údaj o doložené konstrukční spojitelnosti. Pro vyhledání formální varianty je třeba zadat dotaz „srov.“. Pro vyhledání slovesné vazby je třeba zadat dotaz obsahující náležitou pádovou otázku či příslovce (např. „co“, „kam“). Text dotazu lze zadat úplný nebo jen jeho část. Má-li zadanému textu předcházet jeden znak, lze použít operátor <b>_</b>. Má-li předcházet nula až neomezeně znaků, lze použít operátor <b>%</b>.</p>
 
     <h3>Slovní druh</h3>
-    <p>Slovní druh lze vybrat z rozbalovacího seznamu. Tato volba nejen ovlivní výsledky vyhledávání, ale také <b>umožňí volbu pokročilých možností</b>. Tyty možnosti jsou popsány v tabulce v kapitole <b>Pokročilé možnosti</b>.</p>
+    <p>Slovní druh lze vybrat z rozbalovacího seznamu. Volbou slovního druhu se zároveň otevře nabídka volby na základě dalších specifických kritérií, tj. pokročilých možností vyhledávání. Popis těchto možností viz tabulka <b>Pokročilé možnosti</b></p>
 
     <h2>Pokročilé možnosti</h2>
     <table class="mb-4 d-flex justify-content-center">