commit 744b5773e9991de5d63cbac5e4db7cfd00697334
Author: Anděl Ondřej <ondrej.andel@marbes.cz>
Date:   Fri May 28 20:51:01 2021 +0200

    Bug #8991: Upravit text stránek

diff --git a/application/view/contents/contactsContent.html b/application/view/contents/contactsContent.html
index d2d27bc..7a6a7ae 100644
--- a/application/view/contents/contactsContent.html
+++ b/application/view/contents/contactsContent.html
@@ -6,50 +6,29 @@
 
 <div class="col-xs-12 col-sm-10 m-auto">
     <div class="row g-0">
-        <div class="col-xs-12 col-sm-6 m-auto">
-            <h3 class="d-flex justify-content-center">Tým řešitelů</h3>
-            <table class="d-flex justify-content-center">
-                <tr>
-                    <th class="text-center px-4 py-2">jméno</th>
-                    <th class="text-center px-4 py-2">e-mailová adresa</th>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">Bc. Ondřej Anděl</td>
-                    <td class="px-4 py-2">andelo@students.zcu.cz</td>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">Bc. Tomáš Pašek</td>
-                    <td class="px-4 py-2">pasekt@students.zcu.cz</td>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">Bc. Milan Vacek</td>
-                    <td class="px-4 py-2">vacekm@students.zcu.cz</td>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">Bc. Ondřej Drtina</td>
-                    <td class="px-4 py-2">drtinao@students.zcu.cz</td>
-                </tr>
-            </table>
-        </div>
-        <div class="col-xs-12 col-sm-6 m-auto">
-            <h3 class="d-flex justify-content-center">Západočeské univerzity v Plzni <br/>
-                                                      Fakulta pedagogická<br/>
-                                                      Katedra českého jazyka a literatury<br/>
-            </h3>
-            <table class="d-flex justify-content-center">
-                <tr>
-                    <th class="text-center px-4 py-2">jméno</th>
-                    <th class="text-center px-4 py-2">e-mailová adresa</th>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">PhDr. Eva Pasáčková, CSc.</td>
-                    <td class="px-4 py-2">epasacko@kcj.zcu.cz</td>
-                </tr>
-                <tr>
-                    <td class="px-4 py-2">Mgr. Martina Spěváčková, Ph.D.</td>
-                    <td class="px-4 py-2">spevacko@kcj.zcu.cz</td>
-                </tr>
-            </table>
+        <div class="col-xs-12 col-sm-4 m-auto">
+            <h3>Západočeské univerzity v Plzni</h3>
+            <h4>Fakulta pedagogická</h4>
+            <h5>Katedra českého jazyka a literatury</h5>
+
+            <b class="row mx-1 mt-1">PhDr. Eva Pasáčková, CSc.</b>
+            <i class="row mx-1">epasacko@kcj.zcu.cz</i>
+
+            <b class="row mx-1 mt-1">Mgr. Martina Spěváčková, Ph.D.</b>
+            <i class="row mx-1">spevacko@kcj.zcu.cz</i>
+
+            <h3 class="mt-5">Webová aplikace – řešitelé</h3>
+            <b class="row mx-1 mt-1">Bc. Ondřej Anděl</b>
+            <i class="row mx-1">andelo@students.zcu.cz</i>
+
+            <b class="row mx-1 mt-1">Bc. Tomáš Pašek</b>
+            <i class="row mx-1">pasekt@students.zcu.cz</i>
+
+            <b class="row mx-1 mt-1">Bc. Milan Vacek</b>
+            <i class="row mx-1">vacekm@students.zcu.cz</i>
+
+            <b class="row mx-1 mt-1">Bc. Ondřej Drtina</b>
+            <i class="row mx-1">drtinao@students.zcu.cz</i>
         </div>
     </div>
 </div>
\ No newline at end of file
diff --git a/application/view/contents/manualContent.html b/application/view/contents/manualContent.html
index eb0daf1..54c16b9 100644
--- a/application/view/contents/manualContent.html
+++ b/application/view/contents/manualContent.html
@@ -184,7 +184,7 @@
     <p>Vyhledávání je možné podle&nbsp;parametrů uvedených níže. Je možno zvolit jeden nebo kombinaci více parametrů. Budou zobrazeny pouze výsledky, které splňují všechny zadané podmínky. Budou-li zvoleny specifické parametry (viz dále), zobrazí se&nbsp;rozšiřující nabídka volby.</p>
 
     <h3>Lemma</h3>
-    <p>Toto vyhledávací políčko umožňuje vyhledávání podle&nbsp;lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, kdy zadaný výraz nemá být na&nbsp;začátku slova, lze na&nbsp;jeho začátek připsat operátor <b>%</b>. Pokud zadaný výraz nemá být na&nbsp;začátku slova a&nbsp;zároveň je třeba počet znaků omezit, tak lze použít operátor <b>_</b>. Každé použití tohoto operátoru reprezentuje jedno libovolné písmeno.</p>
+    <p>Toto vyhledávací políčko umožňuje vyhledávání podle&nbsp;lemmatu. Lze zadat pouze počáteční písmeno, počáteční část slova nebo slovo celé. V případě, že&nbsp;zadaná skupina hlásek nemá být na&nbsp;začátku slova, lze na&nbsp;její začátek připsat operátor <b>%</b>. Je-li potřeba počet předcházejícíh znaků omezit, pak lze za&nbsp;každý znak použít operátor <b>_</b>.</p>
 
     <h3>Slovní tvar</h3>
     <p>Jedná se&nbsp;opět o&nbsp;otevřené políčko pro&nbsp;vyhledávání – vyhledává se&nbsp;podle&nbsp;přesně zadaného tvaru slova. </p>
@@ -268,7 +268,7 @@
             <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
         </tr>
         <tr>
-            <td class="px-4 py-2">Numeralie</td>
+            <td class="px-4 py-2">Numerale</td>
             <td class="text-center px-4 py-2"><i class="fa fa-check green"></i></td>
             <td class="text-center px-4 py-2"><i class="fa fa-check green"></i></td>
             <td class="text-center px-4 py-2"><i class="fa fa-check green"></i></td>
@@ -347,5 +347,37 @@
             <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
             <td class="text-center px-4 py-2"><i class="fa fa-check green"></i></td>
         </tr>
+        <tr>
+            <td class="px-4 py-2">Partikule</td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+        </tr>
+        <tr>
+            <td class="px-4 py-2">Interjekce</td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+            <td class="text-center px-4 py-2"><i class="fa fa-times required"></i></td>
+        </tr>
     </table>
 </div>
\ No newline at end of file