commit 82f8d4ca5427ae3d38a2b64722af21619dc8970a
Author: Milan Vacek <vacekm@students.zcu.cz>
Date:   Fri Apr 9 16:39:01 2021 +0200

    Bug #8548 Insert a Update vyžadují neznámé id

diff --git a/application/controller/InsertController.php b/application/controller/InsertController.php
new file mode 100644
index 0000000..9e18ddf
--- /dev/null
+++ b/application/controller/InsertController.php
@@ -0,0 +1,5 @@
+<?php
+require "../model/DB.php";
+
+$DB = new DB();
+$DB->insert();
diff --git a/application/controller/RemoveController.php b/application/controller/RemoveController.php
new file mode 100644
index 0000000..2e05f34
--- /dev/null
+++ b/application/controller/RemoveController.php
@@ -0,0 +1,5 @@
+<?php
+require "../model/DB.php";
+
+$DB = new DB();
+$DB->remove();
diff --git a/application/controller/UpdateController.php b/application/controller/UpdateController.php
index 2e05f34..a113373 100644
--- a/application/controller/UpdateController.php
+++ b/application/controller/UpdateController.php
@@ -2,4 +2,4 @@
 require "../model/DB.php";
 
 $DB = new DB();
-$DB->remove();
+$DB->update();
diff --git a/application/model/DB.php b/application/model/DB.php
index 2566419..fc74820 100644
--- a/application/model/DB.php
+++ b/application/model/DB.php
@@ -66,9 +66,148 @@ class DB {
     }
 
 function update(){
+    $query = "SELECT id FROM dd_lemma
+              WHERE lemma = :lemma;";
+    $this->stmt = $this->pdo->prepare($query);
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+            $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+        }
+    $this->stmt->execute();
+    $lemma = $this->stmt->fetch(PDO::FETCH_ASSOC);
+
+    $query = "SELECT id FROM dd_tag
+              WHERE tag = :tag;";
+    $this->stmt = $this->pdo->prepare($query);
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+            $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+        }
+    $this->stmt->execute();
+    $tag = $this->stmt->fetch(PDO::FETCH_ASSOC);
+
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    if($lemma == null){
+        $query = "SELECT MAX(id) FROM dd_lemma;";
+        $this->stmt = $this->pdo->prepare($query);
+        $this->stmt->execute();
+        $result = $this->stmt->fetchAll();
+        $result[0]["max"]+=1;
+
+        $query = "INSERT INTO dd_lemma ( id, ";
+        $values = "VALUES (" . $result[0]["max"] . ", ";
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $query .= " lemma, ";
+                $values .= " :lemma, ";
+            }
+            if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+                $query .= " pos ) ";
+                $values .= " :pos ); ";
+            }
+
+        $query .= $values;
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+            }
+            if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+                $this->stmt->bindParam(':pos', $_POST['pos'], PDO::PARAM_INT);
+            }
+        $this->stmt->execute();
+
+        $query = "SELECT id FROM dd_lemma
+                  WHERE lemma = :lemma;";
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+            }
+        $this->stmt->execute();
+        $lemma = $this->stmt->fetch(PDO::FETCH_ASSOC);
+    }
+
+    $query = "UPDATE dd_lemma
+                 SET ";
+
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+        $query .= " lemma = :lemma , ";
+    }
+    if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+        $query .= " pos = :pos  ";
+    }
+
+    $query .= "WHERE ";
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+        $query .= " id = :lemma_id ;";
+    }
 
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
+    $this->stmt = $this->pdo->prepare($query);
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+        $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+    }
+    if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+        $this->stmt->bindParam(':pos', $_POST['pos'], PDO::PARAM_INT);
+    }
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+        $this->stmt->bindParam(':lemma_id', $lemma["id"], PDO::PARAM_INT);
+    }
+    $this->stmt->execute();
+
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    if($tag == null){
+     $query = "SELECT MAX(id) FROM dd_tag;";
+        $this->stmt = $this->pdo->prepare($query);
+        $this->stmt->execute();
+        $result = $this->stmt->fetchAll();
+        $result[0]["max"]+=1;
+
+
+        $query = "INSERT INTO dd_tag (id, ";
+        $values = "VALUES (" . $result[0]["max"] . ", ";
+
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $query .= " tag ) ";
+                $values .= " :tag ); ";
+            }
+
+        $query .= $values;
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+            }
+        $this->stmt->execute();
+
+        $query = "SELECT id FROM dd_tag
+                  WHERE tag = :tag;";
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+            }
+        $this->stmt->execute();
+        $tag = $this->stmt->fetch(PDO::FETCH_ASSOC);
+    }
+
+    $query = "UPDATE dd_tag
+                 SET ";
+
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+        $query .= " tag = :tag  ";
+    }
+
+    $query .= "WHERE ";
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+        $query .= " id = :tag_id ;";
+    }
+
+
+    $this->stmt = $this->pdo->prepare($query);
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+        $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+    }
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+        $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
+    }
+    $this->stmt->execute();
+
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
     $query = "UPDATE dd_wordform
                 SET ";
 
@@ -114,10 +253,10 @@ function update(){
     if (array_key_exists("word", $_POST) && $_POST['word'] != "") {
         $query .= " word = :word, ";
     }
-    if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
         $query .= " lemma_id = :lemma_id, ";
     }
-    if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
         $query .= " tag_id = :tag_id ";
     }
 
@@ -167,11 +306,11 @@ function update(){
     if (array_key_exists("word", $_POST) && $_POST['word'] != "") {
         $this->stmt->bindParam(':word', $_POST['word'], PDO::PARAM_STR);
     }
-    if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
-        $this->stmt->bindParam(':lemma_id', $_POST['lemma_id'], PDO::PARAM_INT);
+    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+        $this->stmt->bindParam(':lemma_id', $lemma["id"], PDO::PARAM_INT);
     }
-    if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
-        $this->stmt->bindParam(':tag_id', $_POST['tag_id'], PDO::PARAM_INT);
+    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+        $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
     }
     if (array_key_exists("id", $_POST) && $_POST['id'] != "") {
         $this->stmt->bindParam(':id', $_POST['id'], PDO::PARAM_INT);
@@ -179,36 +318,6 @@ function update(){
 
     $this->stmt->execute();
 
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-
-    $query = "UPDATE dd_lemma
-                 SET ";
-
-    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
-        $query .= " lemma = :lemma , ";
-    }
-    if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
-        $query .= " pos = :pos  ";
-    }
-
-    $query .= "WHERE ";
-    if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
-        $query .= " id = :lemma_id ;";
-    }
-
-
-    $this->stmt = $this->pdo->prepare($query);
-    if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
-        $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
-    }
-    if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
-        $this->stmt->bindParam(':pos', $_POST['pos'], PDO::PARAM_INT);
-    }
-    if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
-        $this->stmt->bindParam(':lemma_id', $_POST['lemma_id'], PDO::PARAM_INT);
-    }
-    $this->stmt->execute();
-
     // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_manuscript |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
     if (array_key_exists("wordform_id", $_POST) && $_POST['wordform_id'] != "") {
@@ -227,6 +336,7 @@ function update(){
     $to_delete = [];
     $contained = [];
     $found = false;
+    $integerIDs = [];
 
     foreach ($result as $res) {
         $integerIDs = array_map('intval', explode(',', $_POST['manuscript']));
@@ -269,41 +379,108 @@ function update(){
         }
         $this->stmt->execute();
     }
+}
 
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+function insert(){
+// ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    $query = "SELECT id FROM dd_lemma
+              WHERE lemma = :lemma;";
+    $this->stmt = $this->pdo->prepare($query);
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+            $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+        }
+    $this->stmt->execute();
+    $lemma = $this->stmt->fetch(PDO::FETCH_ASSOC);
 
-    $query = "UPDATE dd_tag
-                 SET ";
+    if($lemma == null){
+        $query = "SELECT MAX(id) FROM dd_lemma;";
+        $this->stmt = $this->pdo->prepare($query);
+        $this->stmt->execute();
+        $result = $this->stmt->fetchAll();
+        $result[0]["max"]+=1;
+
+        $query = "INSERT INTO dd_lemma ( id, ";
+        $values = "VALUES (" . $result[0]["max"] . ", ";
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $query .= " lemma, ";
+                $values .= " :lemma, ";
+            }
+            if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+                $query .= " pos ) ";
+                $values .= " :pos ); ";
+            }
 
-    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
-        $query .= " tag = :tag  ";
+        $query .= $values;
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+            }
+            if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
+                $this->stmt->bindParam(':pos', $_POST['pos'], PDO::PARAM_INT);
+            }
+        $this->stmt->execute();
     }
 
-    $query .= "WHERE ";
-    if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
-        $query .= " id = :tag_id ;";
-    }
 
 
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    $query = "SELECT id FROM dd_tag
+              WHERE tag = :tag;";
     $this->stmt = $this->pdo->prepare($query);
-    if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
-        $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
-    }
-    if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
-        $this->stmt->bindParam(':tag_id', $_POST['tag_id'], PDO::PARAM_INT);
-    }
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+            $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+        }
     $this->stmt->execute();
-}
+    $tag = $this->stmt->fetch(PDO::FETCH_ASSOC);
 
-function insert(){
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    if($tag == null){
+     $query = "SELECT MAX(id) FROM dd_tag;";
+        $this->stmt = $this->pdo->prepare($query);
+        $this->stmt->execute();
+        $result = $this->stmt->fetchAll();
+        $result[0]["max"]+=1;
+
+
+        $query = "INSERT INTO dd_tag (id, ";
+        $values = "VALUES (" . $result[0]["max"] . ", ";
+
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $query .= " tag ) ";
+                $values .= " :tag ); ";
+            }
+
+        $query .= $values;
+        $this->stmt = $this->pdo->prepare($query);
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+            }
+        $this->stmt->execute();
+    }
 
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
     $query = "SELECT MAX(id) FROM dd_wordform;";
     $this->stmt = $this->pdo->prepare($query);
     $this->stmt->execute();
     $result = $this->stmt->fetchAll();
     $result[0]["max"]+=1;
 
+    $query = "SELECT id FROM dd_lemma
+              WHERE lemma = :lemma;";
+    $this->stmt = $this->pdo->prepare($query);
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+            $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
+        }
+    $this->stmt->execute();
+    $lemma = $this->stmt->fetch(PDO::FETCH_ASSOC);
+
+    $query = "SELECT id FROM dd_tag
+              WHERE tag = :tag;";
+    $this->stmt = $this->pdo->prepare($query);
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+            $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
+        }
+    $this->stmt->execute();
+    $tag = $this->stmt->fetch(PDO::FETCH_ASSOC);
 
     $query = "INSERT INTO dd_wordform ( id, ";
     $values = "VALUES (" . $result[0]["max"] . ", ";
@@ -363,11 +540,11 @@ function insert(){
             $query .= " word, ";
             $values .= " :word, ";
         }
-        if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
             $query .= " lemma_id, ";
             $values .= " :lemma_id, ";
         }
-        if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
             $query .= " tag_id ) ";
             $values .= " :tag_id ); ";
         }
@@ -414,43 +591,15 @@ function insert(){
             if (array_key_exists("word", $_POST) && $_POST['word'] != "") {
                 $this->stmt->bindParam(':word', $_POST['word'], PDO::PARAM_STR);
             }
-            if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
-                $this->stmt->bindParam(':lemma_id', $_POST['lemma_id'], PDO::PARAM_INT);
+            if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+                $this->stmt->bindParam(':lemma_id', $lemma["id"], PDO::PARAM_INT);
             }
-            if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
-                $this->stmt->bindParam(':tag_id', $_POST['tag_id'], PDO::PARAM_INT);
+            if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+                $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
             }
 
             $this->stmt->execute();
 
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-
-    $query = "SELECT MAX(id) FROM dd_lemma;";
-    $this->stmt = $this->pdo->prepare($query);
-    $this->stmt->execute();
-    $result = $this->stmt->fetchAll();
-    $result[0]["max"]+=1;
-
-    $query = "INSERT INTO dd_lemma ( id, ";
-    $values = "VALUES (" . $result[0]["max"] . ", ";
-        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
-            $query .= " lemma, ";
-            $values .= " :lemma, ";
-        }
-        if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
-            $query .= " pos ) ";
-            $values .= " :pos ); ";
-        }
-
-    $query .= $values;
-    $this->stmt = $this->pdo->prepare($query);
-        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
-            $this->stmt->bindParam(':lemma', $_POST['lemma'], PDO::PARAM_STR);
-        }
-        if (array_key_exists("pos", $_POST) && $_POST['pos'] != "") {
-            $this->stmt->bindParam(':pos', $_POST['pos'], PDO::PARAM_INT);
-        }
-    $this->stmt->execute();
 
 // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_manuscript |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
@@ -469,6 +618,7 @@ function insert(){
     $to_insert = [];
     $contained = [];
     $found = false;
+    $integerIDs = [];
 
     foreach ($result as $res) {
         $integerIDs = array_map('intval', explode(',', $_POST['manuscript']));
@@ -495,31 +645,6 @@ function insert(){
         }
         $this->stmt->execute();
     }
-
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-    $query = "SELECT MAX(id) FROM dd_tag;";
-    $this->stmt = $this->pdo->prepare($query);
-    $this->stmt->execute();
-    $result = $this->stmt->fetchAll();
-    $result[0]["max"]+=1;
-
-
-    $query = "INSERT INTO dd_tag (id, ";
-    $values = "VALUES (" . $result[0]["max"] . ", ";
-
-        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
-            $query .= " tag ) ";
-            $values .= " :tag ); ";
-        }
-
-    $query .= $values;
-    $this->stmt = $this->pdo->prepare($query);
-        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
-            $this->stmt->bindParam(':tag', $_POST['tag'], PDO::PARAM_STR);
-        }
-    $this->stmt->execute();
-
-
 }
 
 function remove(){
@@ -536,13 +661,13 @@ function remove(){
     // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
     $query = "DELETE FROM dd_lemma WHERE";
-        if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
             $query .= " id = :lemma_id ;";
         }
 
     $this->stmt = $this->pdo->prepare($query);
-        if (array_key_exists("lemma_id", $_POST) && $_POST['lemma_id'] != "") {
-            $this->stmt->bindParam(':lemma_id', $_POST['lemma_id'], PDO::PARAM_INT);
+        if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
+            $this->stmt->bindParam(':lemma_id', $lemma["id"], PDO::PARAM_INT);
         }
     $this->stmt->execute();
 
@@ -562,13 +687,13 @@ function remove(){
     // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
     $query = "DELETE FROM dd_tag WHERE";
-        if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
             $query .= " id = :tag_id ;";
         }
 
     $this->stmt = $this->pdo->prepare($query);
-        if (array_key_exists("tag_id", $_POST) && $_POST['tag_id'] != "") {
-            $this->stmt->bindParam(':tag_id', $_POST['tag_id'], PDO::PARAM_INT);
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+            $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
         }
     $this->stmt->execute();
 }
diff --git a/application/view/Index.php b/application/view/Index.php
index dabf01e..067e166 100644
--- a/application/view/Index.php
+++ b/application/view/Index.php
@@ -10,7 +10,7 @@ include "../controller/UpdateController.php"
         //data.append("manuscript", "0,3"); //příklad pro filtraci manuscriptů, asi se ještě uprav
         data.append("page", "0");
         data.append("items_per_page", "50");
-        data.append("lemma", "nováLemma");
+        data.append("lemma", "megaultranováLemma");
         data.append("word", "novéWord2");
         data.append("context", "novýContext");
         data.append("description", "novádescription");
@@ -25,12 +25,12 @@ include "../controller/UpdateController.php"
         data.append("prefix", "prefix");
         data.append("suffix", "suffix");
         data.append("id", 47030);
-        data.append("lemma_id", 3687);
-        data.append("tag_id", 1220);
+        //data.append("lemma_id", 3686);
+        //data.append("tag_id", 1219);
         data.append("pos", 1);
         data.append("manuscript", [1,2,3,4,5]);
         data.append("wordform_id", 4);
-        data.append("tag", "A---------")
+        data.append("tag", "NOVEAAA---------")
         //data.append("finished", "false");
         // data.append("tag_pos", "V");
         // data.append("tag_verb_aspect", "P");