commit 91ae594faea198024f59fe82fc391780294a5173
Author: Anděl Ondřej <ondrej.andel@marbes.cz>
Date:   Sat May 29 22:53:47 2021 +0200

    Bug #8993: Upravit problémy na titulní stránce

diff --git a/application/index.php b/application/index.php
index 0bc5574..11475c3 100644
--- a/application/index.php
+++ b/application/index.php
@@ -17,6 +17,8 @@
     <!-- JavaScript -->
     <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-alpha.6/js/bootstrap.min.js"></script>
 
+    <!-- own JavaScript -->
+    <script src="./view/js-scripts/convertors.js"></script>
 </head>
 <body>
 <div class="container-fluid">
diff --git a/application/view/contents/indexContent.html b/application/view/contents/indexContent.html
index 5f7e12a..2ba561c 100644
--- a/application/view/contents/indexContent.html
+++ b/application/view/contents/indexContent.html
@@ -7,5 +7,5 @@
     <br /><br /><br />
     V případě použití dat z&nbsp;této stránky lze použít citace:
     <br />
-    Staročeská kronika tak řečeného Dalimila. Databáze slov a&nbsp;tvarů [online]. Fakulta pedagogická ZČU, katedra českého jazyka a&nbsp;literatury. Verze dat 1.9.21 [cit. 20. 6. 2020]. Dostupné z:  ???
+    Staročeská kronika tak řečeného Dalimila. Databáze slov a&nbsp;tvarů [online]. Fakulta pedagogická ZČU, katedra českého jazyka a&nbsp;literatury. Verze dat 1.9.21 [cit. <script>document.write(getCurrentDatum())</script>]. Dostupné z:  <a href="https://dalimilova-kronika.fpe.zcu.cz/">https://dalimilova-kronika.fpe.zcu.cz/</a>
 </div>
\ No newline at end of file
diff --git a/application/view/contents/manualContent.html b/application/view/contents/manualContent.html
index 54c16b9..27646bc 100644
--- a/application/view/contents/manualContent.html
+++ b/application/view/contents/manualContent.html
@@ -158,22 +158,22 @@
 
     <h2>Zkratky textových pramenů</h2>
     <ul>
-        <li>V : rukopis Vídeňský</li>
-        <li>H : zlomky Hanušovy</li>
-        <li>Hr : zlomky Hradecké</li>
-        <li>C : rukopis Cambridžský</li>
-        <li>F : rukopis Františkánský</li>
-        <li>O : zlomek Olomoucký</li>
-        <li>S : fragment Strahovský</li>
-        <li>K : zlomky Klementinsko-Křižovnické</li>
-        <li>M : zlomky Mnichovské</li>
-        <li>L : rukopis Lobkovický</li>
-        <li>P : rukopis Pelclův</li>
-        <li>Cr : rukopis Cerronský</li>
-        <li>Fs : rukopis Fürstenberský</li>
-        <li>Z : rukopis Zebererův</li>
-        <li>Js : vydání Pavla Ješína z Bezdězi, Praha 1620</li>
-        <li>Pl : básně připsané při Pulkavově kronice v rukopisu Litoměřickém</li>
+        <li>V - rukopis Vídeňský</li>
+        <li>H - zlomky Hanušovy</li>
+        <li>Hr - zlomky Hradecké</li>
+        <li>C - rukopis Cambridžský</li>
+        <li>F - rukopis Františkánský</li>
+        <li>O - zlomek Olomoucký</li>
+        <li>S - fragment Strahovský</li>
+        <li>K - zlomky Klementinsko-Křižovnické</li>
+        <li>M - zlomky Mnichovské</li>
+        <li>L - rukopis Lobkovický</li>
+        <li>P - rukopis Pelclův</li>
+        <li>Cr - rukopis Cerronský</li>
+        <li>Fs - rukopis Fürstenberský</li>
+        <li>Z - rukopis Zebererův</li>
+        <li>Jš - vydání Pavla Ješína z Bezdězi, Praha 1620</li>
+        <li>Pl - básně připsané při Pulkavově kronice v rukopisu Litoměřickém</li>
     </ul>
 
     <h1>Vyhledávání</h1>
diff --git a/application/view/js-scripts/convertors.js b/application/view/js-scripts/convertors.js
index 2bcc24e..bdca4f2 100644
--- a/application/view/js-scripts/convertors.js
+++ b/application/view/js-scripts/convertors.js
@@ -223,4 +223,14 @@ function normalizeDescription(text){
     }
     console.log(text);
     return text;
+}
+
+function getCurrentDatum(){
+    const date = new Date();
+    const dd = String(date.getDate()).padStart(2, '0');
+    const mm = String(date.getMonth() + 1).padStart(2, '0'); //January is 0!
+    const yyyy = date.getFullYear();
+
+    const today = dd + ". " + mm +". " + yyyy;
+    return today;
 }
\ No newline at end of file
diff --git a/application/view/modals/invalidLoginModal.html b/application/view/modals/invalidLoginModal.html
index 3ce8acb..6379476 100644
--- a/application/view/modals/invalidLoginModal.html
+++ b/application/view/modals/invalidLoginModal.html
@@ -1,4 +1,4 @@
-<div id="invalidlogin-modal" class="modal fade" role="dialog">
+<div id="invalid-login-modal" class="modal fade" role="dialog">
 	<div class="modal-dialog modal-dialog-centered" role="document">
 		<div class="modal-content">
 			 <div class="modal-header">
diff --git a/application/view/modals/loginModal.html b/application/view/modals/loginModal.html
index be331c5..2d8246b 100644
--- a/application/view/modals/loginModal.html
+++ b/application/view/modals/loginModal.html
@@ -27,23 +27,13 @@
             </div>
             <div class="modal-footer">
                 <button type="button" class="btn btn-default" data-dismiss="modal" onclick="login()">Přihlásit se</button>
-                <button type="button" class="btn btn-default" data-dismiss="modal" onclick="register()">Zavřít</button>
+                <button type="button" class="btn btn-default" data-dismiss="modal">Zavřít</button>
             </div>
         </div>
     </div>
 </div>
 
 <script>
-    function register(){
-        var data = new FormData();
-        data.append("user", 'beznyuser');
-        data.append("password", 'beznyuser');
-        data.append("role", 'editor');
-        let xhr = new XMLHttpRequest();
-        xhr.open("POST", "controller/RegistrationController.php");
-        xhr.send(data);
-    }
-
     function login(){
         var data = new FormData();
         data.append("username", document.getElementById('nick').value);
@@ -52,7 +42,7 @@
         xhr.open("POST", "controller/LoginController.php");
         xhr.onload = function(){
             if(this.response == 'Incorrect username and/or password!'){ //login was not successful, show modal
-                $("#invalidlogin-modal").modal("show");
+                $("#invalid-login-modal").modal("show");
             }else{ //login was successful, refresh page to apply changes in visible items
                 location.reload();
             }
diff --git a/application/view/style.css b/application/view/style.css
index 7435abb..65ae0cf 100644
--- a/application/view/style.css
+++ b/application/view/style.css
@@ -5,7 +5,7 @@
 
 @font-face {
   font-family: 'Impacted';
-  src: url('fonts/impacted/IMPACTED.ttf') format('truetype');
+  src: url('fonts/impacted/IMPACTED.TTF') format('truetype');
 }
 
 html, body, .container-fluid {