commit a4f82b78a4b8d1588c952f3bddc69a2e56381ae6
Author: Milan Vacek <vacekm@students.zcu.cz>
Date:   Sun Apr 11 21:05:25 2021 +0200

    Bug #8548 Insert a Update vyžadují neznámé id

diff --git a/application/model/DB.php b/application/model/DB.php
index da593d9..953b452 100644
--- a/application/model/DB.php
+++ b/application/model/DB.php
@@ -648,14 +648,6 @@ function insert(){
 }
 
 function remove(){
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-        if (array_key_exists("id", $_POST) && $_POST['id'] != "") {
-            $query = "DELETE FROM dd_wordform WHERE";
-            $query .= " id = :id ;";
-            $this->stmt = $this->pdo->prepare($query);
-            $this->stmt->bindParam(':id', $_POST['id'], PDO::PARAM_INT);
-            $this->stmt->execute();
-        }
     // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_lemma |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
 
         if (array_key_exists("lemma", $_POST) && $_POST['lemma'] != "") {
@@ -665,9 +657,19 @@ function remove(){
             $this->stmt->bindParam(':lemma_id', $lemma["id"], PDO::PARAM_INT);
             $this->stmt->execute();
         }
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+
+        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
+            $query = "DELETE FROM dd_tag WHERE";
+            $query .= " id = :tag_id ;";
+            $this->stmt = $this->pdo->prepare($query);
+            $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
+            $this->stmt->execute();
+        }
 
 
     // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_manuscript |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+    echo "done";
 
     if (array_key_exists("wordform_id", $_POST) && $_POST['wordform_id'] != "") {
         $query = "DELETE FROM dd_manuscript WHERE";
@@ -677,14 +679,14 @@ function remove(){
         $this->stmt->execute();
     }
 
+    echo "done";
 
-    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_tag |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
-
-        if (array_key_exists("tag", $_POST) && $_POST['tag'] != "") {
-            $query = "DELETE FROM dd_tag WHERE";
-            $query .= " id = :tag_id ;";
+    // ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||| Tabulka dd_wordform |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
+        if (array_key_exists("id", $_POST) && $_POST['id'] != "") {
+            $query = "DELETE FROM dd_wordform WHERE";
+            $query .= " id = :id ;";
             $this->stmt = $this->pdo->prepare($query);
-            $this->stmt->bindParam(':tag_id', $tag["id"], PDO::PARAM_INT);
+            $this->stmt->bindParam(':id', $_POST['id'], PDO::PARAM_INT);
             $this->stmt->execute();
         }
 }
@@ -696,4 +698,4 @@ define('DB_HOST', 'localhost');
 define('DB_NAME', 'dalim2');
 define('DB_CHARSET', 'utf8');
 define('DB_USER', 'postgres');
-define('DB_PASSWORD', 'a');
\ No newline at end of file
+define('DB_PASSWORD', 'MVcesko98');
\ No newline at end of file
diff --git a/application/view/Index.php b/application/view/Index.php
index c449891..60321b4 100644
--- a/application/view/Index.php
+++ b/application/view/Index.php
@@ -24,12 +24,12 @@ include "../controller/UpdateController.php";
         data.append("positiondetail", "posdet");
         data.append("prefix", "prefix");
         data.append("suffix", "suffix");
-        data.append("id", 47030);
+        data.append("id", 9);
         //data.append("lemma_id", 3686);
         //data.append("tag_id", 1219);
-        data.append("pos", 1);
+        data.append("pos", 6);
         data.append("manuscript", [1,2,3,4,5]);
-        data.append("wordform_id", 4);
+        data.append("wordform_id", 9);
         data.append("tag", "A---------");
         //data.append("finished", "false");
         // data.append("tag_pos", "V");
@@ -37,7 +37,7 @@ include "../controller/UpdateController.php";
         // data.append("tag_number", "S");
         // data.append("word", "okáza");
         var xhr = new XMLHttpRequest();
-        xhr.open("POST", "../controller/UpdateController.php");
+        xhr.open("POST", "../controller/RemoveController.php");
         /*xhr.onload = function(){
             let results = document.getElementById("results"),
                 //if anything returned then do this